<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>


	<ItemGroup>
		<PackageReference Include="AspNetCoreRateLimit" Version="5.0.0" />
		<PackageReference Include="AspNetCoreRateLimit.Redis" Version="2.0.0" />
		<PackageReference Include="Autofac.Extras.Quartz" Version="10.0.0" />
		<PackageReference Include="Microsoft.AspNetCore.Mvc.Core" Version="2.2.5" />
		<PackageReference Include="SixLabors.ImageSharp" Version="3.1.4" />
		<PackageReference Include="Quartz" Version="3.8.1" />
		<PackageReference Include="Syncfusion.Pdf.Net.Core" Version="25.1.40" />
	</ItemGroup>


	<ItemGroup>
	  <ProjectReference Include="..\Netina.Repository\Netina.Repository.csproj" />
	</ItemGroup>


	<ItemGroup>
	  <Folder Include="CoreServices\WebSiteServices\" />
	  <Folder Include="CoreServices\SearchServices\" />
	  <Folder Include="EntityServices\ProductHandlers\" />
	  <Folder Include="EntityServices\ReviewHandlers\" />
	  <Folder Include="Models\Api\" />
	  <Folder Include="Models\Scraper\" />
	  <Folder Include="Utilities\" />
	</ItemGroup>


	<ItemGroup>
	  <Using Include="Mapster" />
	  <Using Include="MediatR" />
	  <Using Include="Microsoft.AspNetCore.Identity" />
	  <Using Include="Microsoft.AspNetCore.Mvc" />
	  <Using Include="Microsoft.EntityFrameworkCore" />
	  <Using Include="Microsoft.Extensions.Options" />
	  <Using Include="Microsoft.IdentityModel.Tokens" />
	  <Using Include="Netina.Common.Extensions" />
	  <Using Include="Netina.Common.Models" />
	  <Using Include="Netina.Common.Models.Api" />
	  <Using Include="Netina.Common.Models.Exception" />
	  <Using Include="Netina.Core.Abstracts" />
	  <Using Include="Netina.Core.BaseServices.Abstracts" />
	  <Using Include="Netina.Core.CoreServices.Abstracts" />
	  <Using Include="Netina.Core.CoreServices.CommandQueries.Commands" />
	  <Using Include="Netina.Core.EntityServices.Abstracts" />
	  <Using Include="Netina.Domain" />
	  <Using Include="Netina.Domain.CommandQueries.Commands" />
	  <Using Include="Netina.Domain.CommandQueries.Queries" />
	  <Using Include="Netina.Domain.Dtos.DashboardDtos" />
	  <Using Include="Netina.Domain.Dtos.LargDtos" />
	  <Using Include="Netina.Domain.Dtos.RequestDtos" />
	  <Using Include="Netina.Domain.Dtos.ResponseDtos" />
	  <Using Include="Netina.Domain.Dtos.SmallDtos" />
	  <Using Include="Netina.Domain.Entities.Blogs" />
	  <Using Include="Netina.Domain.Entities.Brands" />
	  <Using Include="Netina.Domain.Entities.Discounts" />
	  <Using Include="Netina.Domain.Entities.Orders" />
	  <Using Include="Netina.Domain.Entities.Products" />
	  <Using Include="Netina.Domain.Entities.Users" />
	  <Using Include="Netina.Domain.Enums" />
	  <Using Include="Netina.Domain.Mappers" />
	  <Using Include="Netina.Domain.MartenEntities.Settings" />
	  <Using Include="Netina.Domain.Models.Claims" />
	  <Using Include="Netina.Domain.Models.Settings" />
	  <Using Include="Netina.Repository.Abstracts" />
	  <Using Include="Netina.Repository.Repositories.Base.Contracts" />
	  <Using Include="Netina.Repository.Repositories.Marten" />
	  <Using Include="Newtonsoft.Json" />
	  <Using Include="System.IdentityModel.Tokens.Jwt" />
	  <Using Include="System.Reflection" />
	  <Using Include="System.Security.Claims" />
	  <Using Include="System.Text" />
	  <Using Include="System.Text.Json" />
	</ItemGroup>

</Project>
